<?php 
/**
 * Copyright oceanwebguru.com 2022
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author Radadiya Ajay <aradadiya163@rest.com>
 * @copyright oceanwebguru.com 2022
 * @license https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 * @version 1.0
 * oceanwebguru.com
 * Languages: EN
 * PS version: 1.6
**/
// use PrestaShop\PrestaShop\Core\Controller\ProductController;
// use Symfony\Component\DependencyInjection\ContainerInterface;
if (!defined('_PS_VERSION_')) {
    exit;
}
class ocsidecartOcfrontsidecartModuleFrontController extends ModuleFrontController
{
    public function __construct()
    {
        parent::__construct();
    }

    public function initContent()
    {
        parent::initContent();
        

        $context = Context::getContext();
        $id_lang = $context->language->id;
        $id_shop = $context->shop->id;

        $cart = $context->cart;
        $total = $cart->getOrderTotal();
        $subtotal = $cart->getOrderTotal(false, Cart::ONLY_PRODUCTS);
        $shipping_price = $cart->getTotalShippingCost();
        $tax_amount = $cart->getOrderTotal(true, Cart::ONLY_PRODUCTS) - $cart->getOrderTotal(false, Cart::ONLY_PRODUCTS);
        $product_count = $cart->nbProducts();
        $currency = $this->context->currency;
        $price_prefix = $currency->getSign();
        
        $img_path = __PS_BASE_URI__ . 'modules/ocsidecart/views/img/ocproductclosebtn.png';
        $ocart_empty_icon = __PS_BASE_URI__ . 'modules/ocsidecart/views/img/shopping-bag.png';
        $ocshop_url = $this->context->link->getPageLink('index');
        $occart_url = $this->context->link->getPageLink('cart');
        $occheckout_url = $this->context->link->getPageLink('order', true, null, 'step=1');
        $OCSC_FOOTER_DESCRIPTION = Configuration::get('OCSC_FOOTER_DESCRIPTION');
        
        $baseUri = Tools::getShopDomain(true, true) . __PS_BASE_URI__;
            $id_product_attribute = (int)Tools::getValue('id_product_attribute');
            $ocsidecartposition = Configuration::get('OCSC_CART_POSITION');
        
        $myData = array(
                'ocscajaxcontrollerlink' => $this->context->link->getModuleLink('ocsidecart', 'ocfrontsidecart',array('ajax'=>true,'action' => 'ajaxProcessMyAction')),
                'ajaxcartitemdelete' => $this->context->link->getModuleLink('ocsidecart', 'ocsidecartitemdelete',array('ajax'=>true,'action' => 'ajaxProcessDeleteitem')),
                'ajaxcartproquantityupdate' => $this->context->link->getModuleLink('ocsidecart', 'ocproquantityupdate',array('ajax'=>true,'action' => 'ajaxProcessUpdateitem')),
                'ATC_PRODUCT_ID' => (int) Tools::getValue('id_product'),
                'id_product_attribute' =>  $id_product_attribute,
                'ocsidecartposition' =>  $ocsidecartposition,
                'baseUri' => $baseUri,
            );
        $cart_products = $cart->getProducts();
       /* echo "<pre>";
        print_r($cart_products);
        echo "</pre>";*/
        $this->context->smarty->assign([
            'products' => $cart_products,
            'OCPRO_CART_TOTAL' => $total,
            'OCPRO_CART_SUBTOTAL' => $subtotal,
            'OCPRO_CART_PRODUCT_COUNT' => $product_count,
            'shipping_price' => $shipping_price,
            'price_prefix' => $price_prefix,
            'tax_amount' => $tax_amount,
            'OCPRODUCTDELETE_BTN' => $img_path,
            'OCPRO_SHOP_PAGE_LINK' => $ocshop_url,
            'OCCART_EMPTY_ICON' => $ocart_empty_icon,
            'OCPRO_CHECKOUT_LINK' => $occheckout_url,
            'OCPRO_CART_PAGE_LINK' => $occart_url,
            'OCSC_FOOTER_DESCRIPTION' => $OCSC_FOOTER_DESCRIPTION,
            'ocscmyData' => json_encode($myData),
        ]);

        $template_path = _PS_MODULE_DIR_ . 'ocsidecart/views/templates/front/ocsidecart_refreash_data.tpl';
        $currentcartdata = $this->context->smarty->fetch($template_path);

        print_r($currentcartdata);
        exit();
    }

    public function ajaxProcessMyAction()
    {

    }
}