<?php 
/**
 * Copyright oceanwebguru.com 2022
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author Radadiya Ajay <aradadiya163@rest.com>
 * @copyright oceanwebguru.com 2022
 * @license https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 * @version 1.0
 * oceanwebguru.com
 * Languages: EN
 * PS version: 1.6
**/
if (!defined('_PS_VERSION_')) {
    exit;
}
class ocsidecartOcproQuantityUpdateModuleFrontController extends ModuleFrontController
{
   public function __construct()
    {
        parent::__construct();
    }

    public function initContent()
    {
        $product_id = $_REQUEST['ocproid'];
        $combination_id = $_REQUEST['ocproattrid'];

        $cart = Context::getContext()->cart;
        $productQuantity = $cart->getProductQuantity($product_id, $combination_id);
        $update_cart = new Cart($cart->id);
        if (!empty($_REQUEST['ocproqun'])) {
            $lastproqun = $productQuantity['quantity'];
            if ($lastproqun > $_REQUEST['ocproqun']) {
               $new_quantity = $lastproqun - $_REQUEST['ocproqun'];
               $update_cart->updateQty($new_quantity, $product_id, $combination_id, false, 'down', 0, null, false); 
            } else {
                 $new_quantity = $_REQUEST['ocproqun'] - $lastproqun;
                 $update_cart->updateQty($new_quantity, $product_id, $combination_id, false, 'up', 0, null, false);
            }
        }
        
        if (!empty($_REQUEST['ocplusproqun'])) {
            $new_quantitys = 1;
             $update_cart->updateQty($new_quantitys, $product_id, $combination_id, false, 'up', 0, null, false); 
        }
        if (!empty($_REQUEST['ocminusproqun'])) {
            $new_quantitys = 1;
            $update_cart->updateQty($new_quantitys, $product_id, $combination_id, false, 'down', 0, null, false); 
        }
       
        $update_cart->update();

        $currency = $this->context->currency;
        $price_prefix = $currency->getSign();
        $subtotal = number_format($cart->getOrderTotal(true, Cart::ONLY_PRODUCTS), 2, '.', '');
        $shippingTotal = number_format($cart->getOrderTotal(true, Cart::ONLY_SHIPPING), 2, '.', '');
        $total = number_format($cart->getOrderTotal(true, Cart::BOTH), 2, '.', '');
        $taxAmount = number_format($cart->getOrderTotal(true, 6), 2, '.', '');
        $img_path = __PS_BASE_URI__.'modules/ocsidecart/views/img/ocproductclosebtn.png';
        $ocshop_url = $this->context->link->getPageLink('index');
        $occart_url = $this->context->link->getPageLink('cart');
        $occheckout_url = $this->context->link->getPageLink('order', true , null, 'step=1');
        $ocart_empty_icon = __PS_BASE_URI__.'modules/ocsidecart/views/img/shopping-bag.png';
        $product_count = $cart->nbProducts();
        $OCSC_HEADING_TEXT = Configuration::get('OCSC_HEADING_TEXT');
        $OCSC_SUBTOTAL_ENABLE = Configuration::get('OCSC_SUBTOTAL_ENABLE');
        $OCSC_SHIPPING_ENABLE = Configuration::get('OCSC_SHIPPING_ENABLE');
        $OCSC_TAX_ENABLE = Configuration::get('OCSC_TAX_ENABLE');
        $OCSC_TOTAL_ENABLE = Configuration::get('OCSC_TOTAL_ENABLE');
        $OCSC_FOOTER_CHECKOUT_TEXT = Configuration::get('OCSC_FOOTER_CHECKOUT_TEXT');
        $OCSC_FOOTER_CART_TEXT = Configuration::get('OCSC_FOOTER_CART_TEXT');
        $OCSC_FOOTER_HEAD_TEXT = Configuration::get('OCSC_FOOTER_HEAD_TEXT');
        $OCSC_FOOTER_DESCRIPTION = Configuration::get('OCSC_FOOTER_DESCRIPTION');

        $this->context->smarty->assign([
            'link' => $this->context->link,
            'products' => $cart->getProducts(),
            'OCPRO_CART_TOTAL' => $total,
            'OCPRO_CART_SUBTOTAL' => $subtotal,
            'OCPRO_CART_PRODUCT_COUNT' => $product_count,
            'shipping_price' => $shippingTotal,
            'tax_amount' => $taxAmount,
            'price_prefix' => $price_prefix,
            'OCPRODUCTDELETE_BTN' => $img_path,
            'OCPRO_SHOP_PAGE_LINK' => $ocshop_url,
            'OCCART_EMPTY_ICON' => $ocart_empty_icon,
            'OCPRO_CHECKOUT_LINK' => $occheckout_url,
            'OCPRO_CART_PAGE_LINK' => $occart_url,
            'OCSC_HEADING_TEXT' => $OCSC_HEADING_TEXT,
            'OCSC_SUBTOTAL_ENABLE' => $OCSC_SUBTOTAL_ENABLE,
            'OCSC_SHIPPING_ENABLE' => $OCSC_SHIPPING_ENABLE,
            'OCSC_TAX_ENABLE' => $OCSC_TAX_ENABLE,
            'OCSC_TOTAL_ENABLE' => $OCSC_TOTAL_ENABLE,
            'OCSC_FOOTER_CHECKOUT_TEXT' => $OCSC_FOOTER_CHECKOUT_TEXT,
            'OCSC_FOOTER_CART_TEXT' => $OCSC_FOOTER_CART_TEXT,
            'OCSC_FOOTER_HEAD_TEXT' => $OCSC_FOOTER_HEAD_TEXT,
            'OCSC_FOOTER_DESCRIPTION' => $OCSC_FOOTER_DESCRIPTION,
        ]);

        $template_path = _PS_MODULE_DIR_ . 'ocsidecart/views/templates/front/ocsidecart_refresh_quantity_prodata.tpl';
        $currentcartdata = $this->context->smarty->fetch($template_path);

        print_r($currentcartdata);
        exit;
    }
}
