{*
* 2007-2019 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
<div class="ocsidecart">
    <div class="ocsidecart_inner">

	    <div class="ocsidecart_btn">
	        <div class="ocsidecart_count_product">{$OCPRO_CART_PRODUCT_COUNT|escape:'htmlall':'UTF-8'}</div>
	        <div class="ocsidecart_img">
	        <svg version="1.1" id="Layer_7" xmlns:xlink="http://www.w3.org/2000/svg" x="0px" y="0px" width="122.878px" height="122.88px" viewBox="0 0 512 512" enable-background="new 0 0 122.878 122.88" xml:space="preserve"><g><path class="cls-1" d="M512,204.69a51.27,51.27,0,0,0-51.2-51.22H427.7L287.18,12.9a44.12,44.12,0,0,0-62.36,0L84.3,153.47H51.2a51.21,51.21,0,0,0-24.55,96.15L66.76,450.23A77,77,0,0,0,142.07,512H369.93a77,77,0,0,0,75.31-61.76l40.11-200.62A51.26,51.26,0,0,0,512,204.69ZM242.92,31a18.52,18.52,0,0,1,26.16,0L391.5,153.47h-271ZM51.2,179.08H460.8a25.61,25.61,0,0,1,0,51.22H51.2a25.61,25.61,0,0,1,0-51.22ZM420.14,445.22a51.34,51.34,0,0,1-50.21,41.17H142.07a51.34,51.34,0,0,1-50.21-41.18L54,255.91H458ZM243.2,409.56V332.74a12.8,12.8,0,1,1,25.6,0v76.83a12.8,12.8,0,1,1-25.6,0Zm-64,0V332.74a12.8,12.8,0,1,1,25.6,0v76.83a12.8,12.8,0,1,1-25.6,0Zm128,0V332.74a12.8,12.8,0,1,1,25.6,0v76.83a12.8,12.8,0,1,1-25.6,0Z"/></g></svg>
	        </div>
	    </div>

	</div>
</div>
<div class="ocsidecart_container">
	<div class="ocsidecart_main">
		<div class="ocsidecart_first_section">
			<div class="ocsidecart_topbar">
				<div class="topbar_heading">
					<h4>{l s=$OCSC_HEADING_TEXT|escape:'htmlall':'UTF-8' mod='ocsidecart'}</h4>
				</div>
				<div class="ocsidecart_container_close">
					<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="122.878px" height="122.88px" viewBox="0 0 122.878 122.88" enable-background="new 0 0 122.878 122.88" xml:space="preserve"><g><path d="M1.426,8.313c-1.901-1.901-1.901-4.984,0-6.886c1.901-1.902,4.984-1.902,6.886,0l53.127,53.127l53.127-53.127 c1.901-1.902,4.984-1.902,6.887,0c1.901,1.901,1.901,4.985,0,6.886L68.324,61.439l53.128,53.128c1.901,1.901,1.901,4.984,0,6.886 c-1.902,1.902-4.985,1.902-6.887,0L61.438,68.326L8.312,121.453c-1.901,1.902-4.984,1.902-6.886,0 c-1.901-1.901-1.901-4.984,0-6.886l53.127-53.128L1.426,8.313L1.426,8.313z"/></g></svg>
				</div>
			</div>
			<div class="endsectionline"></div>
		</div>
		<div class="ocsidecart_second_section">
			<div class="occart_content_inner">
			    {if !empty($products)}
			        {foreach from=$products item=cartdata}
			        	<div class="ocproduct_{$cartdata.id_product|escape:'htmlall':'UTF-8'}">
				        	<div class="ocproduct_inner_content">
				        		<div class="ocproduct_first_section">
				        			<div class="ocproduct_image">
					        		 	{assign var="image" value=Image::getCover($cartdata.id_product)}
									    {assign var="image_url" value=$link->getImageLink($cartdata.link_rewrite, $image.id_image, 'home_default')}
									    <img src="{$image_url|escape:'htmlall':'UTF-8'}" alt="{l s=$cartdata.name|escape:'htmlall':'UTF-8' mod='ocsidecart'}">
					        		</div>
				        		</div>
				        		<div class="ocproduct_second_section">
					                <div class="ocproduct_title">{l s=$cartdata.name mod='ocsidecart'}</div>
					                <div class="ocproduct_attributes">
							            <div>
							            	{if isset($cartdata.attributes)}
								            	{foreach from=$cartdata.attributes item=attribute key=key}
									                <div>{l s=$key|escape:'htmlall':'UTF-8' mod='ocsidecart'}: {l s=$attribute|escape:'htmlall':'UTF-8' mod='ocsidecart'}</div>
									            {/foreach}
								            {/if}
							            </div>
					                </div>
					                <div class="ocproduct_price">€{$cartdata.price_with_reduction|escape:'htmlall':'UTF-8'|number_format:2}</div>
					                <div class="ocproduct_quantity">
					                	<div class="ocsc_minus_qty">-</div>
					                	<div>
					                	<input class="ocsidecart_quantity"  data-product-id="{$cartdata.id_product|escape:'htmlall':'UTF-8'}" data-product-attribute-id="{$cartdata.id_product_attribute|escape:'htmlall':'UTF-8'}" type="text" step="1" value="{$cartdata.quantity|escape:'htmlall':'UTF-8'}" name="product-qty-spin" min="1">
					                	</div>
					                	<div class="ocsc_plus_qty">+</div>
					                	<input type="hidden" class="ocsc_cart_quntity" value="{$cartdata.quantity|escape:'htmlall':'UTF-8'}">

					                </div>
					                <div class="ocproduct_total">Total: €{$cartdata.total_wt|escape:'htmlall':'UTF-8'|number_format:2}</div>
				        		</div>
				        		<div class="ocproduct_third_section">
				        			<div class="ocproduct_closebtn" data-productid="{$cartdata.id_product|escape:'htmlall':'UTF-8'}" data-productattrid="{$cartdata.id_product_attribute|escape:'htmlall':'UTF-8'}">
				        				<svg xmlns="http://www.w3.org/2000/svg"  viewBox="0 0 26 26" width="104px" height="104px"><path d="M 11 -0.03125 C 10.164063 -0.03125 9.34375 0.132813 8.75 0.71875 C 8.15625 1.304688 7.96875 2.136719 7.96875 3 L 4 3 C 3.449219 3 3 3.449219 3 4 L 2 4 L 2 6 L 24 6 L 24 4 L 23 4 C 23 3.449219 22.550781 3 22 3 L 18.03125 3 C 18.03125 2.136719 17.84375 1.304688 17.25 0.71875 C 16.65625 0.132813 15.835938 -0.03125 15 -0.03125 Z M 11 2.03125 L 15 2.03125 C 15.546875 2.03125 15.71875 2.160156 15.78125 2.21875 C 15.84375 2.277344 15.96875 2.441406 15.96875 3 L 10.03125 3 C 10.03125 2.441406 10.15625 2.277344 10.21875 2.21875 C 10.28125 2.160156 10.453125 2.03125 11 2.03125 Z M 4 7 L 4 23 C 4 24.652344 5.347656 26 7 26 L 19 26 C 20.652344 26 22 24.652344 22 23 L 22 7 Z M 8 10 L 10 10 L 10 22 L 8 22 Z M 12 10 L 14 10 L 14 22 L 12 22 Z M 16 10 L 18 10 L 18 22 L 16 22 Z"/></svg>
				        			</div>
				        		</div>
				            </div>
				        </div>
				        <div class="ocpro_after_border"></div>
			        {/foreach}
			    {else}
			    	<div class="occartempty">
				    	<div class="occart_empty_icon">
				    		<img src="{$OCCART_EMPTY_ICON|escape:'htmlall':'UTF-8'}">
				    	</div>
				    	<div class="occart_empty_text">
					    	<p>{l s='Your cart is empty' mod='ocsidecart'}</p>
					    </div>
					    <div class="ocshop_page_link">
					    	<a href="{$OCPRO_SHOP_PAGE_LINK|escape:'htmlall':'UTF-8'}" target="_blank">{l s='SHOP NOW' mod='ocsidecart'}</a>
					    </div>
				    </div>
				    <style>
				    	.ocsidecart_second_section {
						    display: flex;
						    align-items: center;
						    justify-content: center;
						}
						.ocsidecart_container {
								width: 450px;
							}
				    </style>
			    {/if}
			</div>
		</div>
		{if !empty($products)}
		<div class="ocsidecart_footer_section">
			<div class="ocfooter_heading">
				<h3>{l s=$OCSC_FOOTER_HEAD_TEXT|escape:'htmlall':'UTF-8' mod='ocsidecart'}</h3>
			</div>
			<div class="ocfooter_container">
				{if $OCSC_SUBTOTAL_ENABLE eq 'yes'}
					<div class="occart_subtotal">
						<div class="occart_total_item">
							{$OCPRO_CART_PRODUCT_COUNT|escape:'htmlall':'UTF-8'} {l s='Item' mod='ocsidecart'}
						</div>
						<div class="ocsubtotal">
							€{$OCPRO_CART_SUBTOTAL|escape:'htmlall':'UTF-8'}
						</div>
					</div>
				{/if}

				{if $OCSC_SHIPPING_ENABLE eq 'yes'}
					<div class="occart_shipping">
						<div class="occarttitle">
							{l s='Shipping' mod='ocsidecart'}
						</div>
						<div class="ocshipping_price">
							€{$shipping_price|escape:'htmlall':'UTF-8'}
						</div>
					</div>
				{/if}

				{if $OCSC_TAX_ENABLE eq 'yes'}
					<div class="occart_taxes">
						<div class="occarttitle">
							{l s='Taxes' mod='ocsidecart'}
						</div>
						<div class="octaxes_amount">
							€{$tax_amount|escape:'htmlall':'UTF-8'}
						</div>
					</div>
				{/if}
				
				{if $OCSC_TOTAL_ENABLE eq 'yes'}
					<div class="occart_total">
						<div class="occarttitle">
							{l s='Total (tax incl.)' mod='ocsidecart'}
						</div>
						<div class="occartamount">
							€{$OCPRO_CART_TOTAL|escape:'htmlall':'UTF-8'}
						</div>
					</div>
				{/if}

				<div class="occart_footer_buttons">
					<div class="occart_checkout_btn">
						<a href="{$OCPRO_CHECKOUT_LINK|escape:'htmlall':'UTF-8'}" target="_blank">{l s=$OCSC_FOOTER_CHECKOUT_TEXT|escape:'htmlall':'UTF-8' mod='ocsidecart'}</a>
					</div>
					<div class="occart_bag_btn">
						<a href="{$OCPRO_CART_PAGE_LINK|escape:'htmlall':'UTF-8'}&action=show" target="_blank">{l s=$OCSC_FOOTER_CART_TEXT|escape:'htmlall':'UTF-8' mod='ocsidecart'}</a>
					</div>
				</div>
			</div>
			<div class="ocfooter_description">
				<div class="ocsc_desc">
					{l s=$OCSC_FOOTER_DESCRIPTION mod='ocsidecart'}
				</div>
			</div>
		</div>
		{/if}
	</div>
</div>